<?php
include "../../inc/inc.koneksi.php";

$kodeaw	=$_POST[kodeaw];
$kodeak	=$_POST[kodeak];

$sql	= mysql_query("SELECT * FROM interface");
$r = mysql_fetch_assoc($sql);
$piut	= $r[piutang];
$utang 	= $r[hutang_dg];
$labapb = $r[laba_pb];
$labrug = $r[laba_rugi];
$nosublpb= substr($labapb,0,3);
$nosublr = substr($labrug,0,3);

$sql1 = mysql_query("SELECT * FROM jurnalum WHERE kode_ju BETWEEN '$kodeaw' AND '$kodeak' AND posting='' ORDER BY kode_ju");

while($r1=mysql_fetch_array($sql1)){
	$kodeju = $r1[kode_ju];
	$tanggal= $r1[tanggal];
	$noakun = $r1[noakun];
	$nobp 	= $r1[nobp];
	$nofak	= $r1[nofak];
	$kodedk	= $r1[kode_dk];
	$debet	= $r1[debet];
	$kredit	= $r1[kredit];
	$ket 	= $r1[keterangan];
	$user 	= $r1[user];	
	$nosubak= substr($noakun,0,3);
	$kelakun= (int) substr($noakun,0,1);
	
	// --->jika kode dk adalah D (debet)
	if($kodedk=='D'){
		$sql = mysql_query("SELECT noakun,mutasi_db FROM akun_bb WHERE noakun='$noakun' ");
		$r = mysql_fetch_assoc($sql);	
		$sdebet = $r[mutasi_db]+$debet;
		
		$input	= "UPDATE akun_bb SET mutasi_db='$sdebet' WHERE noakun='$noakun'";
		mysql_query($input);

		if(!($nobp=='')){
			// --->Jika akun buku pembantu tidak kosong, debet buku pembantu
			$sql = mysql_query("SELECT noakun,mutasi_db FROM akun_bp WHERE noakun='$nobp' ");
			$r = mysql_fetch_assoc($sql);	
			$sdebet = $r[mutasi_db]+$debet;
		
			$input	= "UPDATE akun_bp SET mutasi_db='$sdebet' WHERE noakun='$nobp'";
			mysql_query($input);
		}
		
		// --->jika kode akun buku besar adalah piutang dagang
		if($noakun==$piut){
			$kodepl = substr($nobp,5,4);
			$sql = mysql_query("SELECT kode_pl,nofak,jumlah FROM piutang WHERE kode_pl='$kodepl' AND nofak='$nofak'");
			$r = mysql_fetch_assoc($sql);	
			$saldo = $r[jumlah]+$debet;
		
			$input	= "UPDATE piutang SET jumlah='$saldo' WHERE WHERE kode_pl='$kodepl' AND nofak='$nofak'";
			mysql_query($input);
		}
		
		// --->jika kode akun buku besar adalah hutang dagang
		if($noakun==$utang){
			$kodesp = substr($nobp,5,4);
			$sql1 = mysql_query("SELECT kode_sp,nofak,jumlah FROM hutang WHERE kode_sp='$kodesp' AND nofak='$nofak'");
			$r1 = mysql_fetch_assoc($sql1);
			$saldo = $r1[jumlah]-$debet;
		
			$input1	= "UPDATE hutang SET jumlah='$saldo' WHERE kode_sp='$kodesp' AND nofak='$nofak'";
			mysql_query($input1);
		}
		
		mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,nobp,debet,keterangan,user) VALUES('$kodeju','JU','$tanggal','$kodeju','$noakun','$nosubak','$nobp','$debet','$ket','$user')");
	
		// jika akun adalah rekening laba rugi
		if($kelakun>3){
			// --->laba periode berjalan debet
			$sql = mysql_query("SELECT noakun,mutasi_db FROM akun_bb WHERE noakun='$labapb' ");
			$r = mysql_fetch_assoc($sql);
			$sdebet= $r[mutasi_db]+$debet;
		
			$input = "UPDATE akun_bb SET mutasi_db='$sdebet' WHERE noakun='$labapb'";
			mysql_query($input);

			mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,debet,keterangan,user) VALUES('$kodeju','JU','$tanggal','$kodeju','$labapb','$nosublpb','$debet','$ket','$user')");
			
			// --->laba rugi kredit
			$sql = mysql_query("SELECT noakun,mutasi_kd FROM akun_bb WHERE noakun='$labrug' ");
			$r = mysql_fetch_assoc($sql);
			$skredit = $r[mutasi_kd]+$debet;
		
			$input = "UPDATE akun_bb SET mutasi_kd='$skredit' WHERE noakun='$labrug'";
			mysql_query($input);

			mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,kredit,keterangan,user) VALUES('$kodeju','JU','$tanggal','$kodeju','$labrug','$nosublr','$debet','$ket','$user')");
		}
	}
	else{
		$sql = mysql_query("SELECT noakun,mutasi_kd FROM akun_bb WHERE noakun='$noakun' ");
		$r = mysql_fetch_assoc($sql);	
		$skredit = $r[mutasi_kd]+$kredit;
		
		$input	= "UPDATE akun_bb SET mutasi_kd='$skredit' WHERE noakun='$noakun'";
		mysql_query($input);

		if(!($nobp=='')){
			// --->Jika akun buku pembantu tidak kosong, debet buku pembantu
			$sql = mysql_query("SELECT noakun,mutasi_kd FROM akun_bp WHERE noakun='$nobp' ");
			$r = mysql_fetch_assoc($sql);	
			$skredit = $r[mutasi_kd]+$kredit;
		
			$input	= "UPDATE akun_bp SET mutasi_kd='$skredit' WHERE noakun='$nobp'";
			mysql_query($input);
		}
		
		// --->jika kode akun buku besar adalah piutang dagang
		if($noakun==$piut){
			$kodepl = substr($nobp,5,4);
			$sql = mysql_query("SELECT kode_pl,nofak,jumlah FROM piutang WHERE kode_pl='$kodepl' AND nofak='$nofak'");
			$r = mysql_fetch_assoc($sql);	
			$saldo = $r[jumlah]-$kredit;
		
			$input	= "UPDATE piutang SET jumlah='$saldo' WHERE WHERE kode_pl='$kodepl' AND nofak='$nofak'";
			mysql_query($input);
		}
		
		// --->jika kode akun buku besar adalah hutang dagang
		if($noakun==$utang){
			$kodesp = substr($nobp,5,4);
			$sql1 = mysql_query("SELECT kode_sp,nofak,jumlah FROM hutang WHERE kode_sp='$kodesp' AND nofak='$nofak'");
			$r1 = mysql_fetch_assoc($sql1);
			$saldo = $r1[jumlah]+$kredit;
		
			$input1	= "UPDATE hutang SET jumlah='$saldo' WHERE kode_sp='$kodesp' AND nofak='$nofak'";
			mysql_query($input1);
		}
		mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,nobp,kredit,keterangan,user) VALUES('$kodeju','JU','$tanggal','$kodeju','$noakun','$nosubak','$nobp','$kredit','$ket','$user')");
	
		// jika akun adalah rekening laba rugi
		if($kelakun>3){
			// --->laba periode berjalan kredit
			$sql = mysql_query("SELECT noakun,mutasi_kd FROM akun_bb WHERE noakun='$labapb' ");
			$r = mysql_fetch_assoc($sql);
			$skredit= $r[mutasi_kd]+$kredit;
		
			$input = "UPDATE akun_bb SET mutasi_kd='$skredit' WHERE noakun='$labapb'";
			mysql_query($input);

			mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,kredit,keterangan,user) VALUES('$kodeju','JU','$tanggal','$kodeju','$labapb','$nosubpb','$kredit','$ket','$user')");
			
			// --->laba rugi debet
			$sql = mysql_query("SELECT noakun,mutasi_db FROM akun_bb WHERE noakun='$labrug' ");
			$r = mysql_fetch_assoc($sql);
			$sdebet = $r[mutasi_db]+$kredit;
		
			$input = "UPDATE akun_bb SET mutasi_db='$sdebet' WHERE noakun='$labrug'";
			mysql_query($input);

			mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,debet,keterangan,user) VALUES('$kodeju','JU','$tanggal','$kodeju','$labrug','$nosublr','$kredit','$ket','$user')");
		}
	}
}

mysql_query("UPDATE jurnalum SET posting='P' WHERE kode_ju BETWEEN '$kodeaw' AND '$kodeak' ");
?>